%define upstream_name 	 Math-RPN
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for Reverse Polish Math Expression Evaluation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
Reverse Polish Notation is briefly a stack-based way of writing
mathematical expressions. This has the advantage of eliminating
the need for parenthesis and simplifying parsing for computers vs.
normal algebraic notation at a slight cost in the ability of humans
to easily comprehend the expressions.

Math::RPN will take a scalar or list of sclars which contain an RPN
expression as a set of comma delimited values and operators, and
return the result or stack, depending on context. If the function
is called in an array context, it will return the entire remaining stack.

%prep
%setup -q -n  %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Math/RPN.pm
%{_mandir}/man?/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 369650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.110.0-1.mga3
+ Revision: 286275
- update to 1.11

* Thu Jan 20 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 26549
- mageia rebuild
- imported package perl-Math-RPN

